Bug 219825 - security/rkhunter: Remove www/wget dependency
Summary: security/rkhunter: Remove www/wget dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Richard Gallamore
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2017-06-06 16:35 UTC by Helge Oldach
Modified: 2017-06-14 00:17 UTC (History)
3 users (show)

See Also:
lukasz: maintainer-feedback+


Attachments
diff -rN (1.16 KB, patch)
2017-06-06 16:36 UTC, Helge Oldach
koobs: maintainer-approval+
Details | Diff
security/rkhunter.diff (10.39 KB, patch)
2017-06-13 21:02 UTC, Richard Gallamore
ultima: maintainer-approval? (lukasz)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Helge Oldach 2017-06-06 16:35:47 UTC
rkhunter relies on wget to obtain updates. But it's not calling some esoteric wget invocation - wget is just used for straightforward downloads. Hence we might as well use fetch(1) which is bundled with the base system, relaxing on the wget dependency.

The attached rather trivial patch implements this.
Comment 1 Helge Oldach 2017-06-06 16:36:33 UTC
Created attachment 183267 [details]
diff -rN
Comment 2 Lukasz Wasikowski 2017-06-07 08:23:08 UTC
Comment on attachment 183267 [details]
diff -rN

Good idea, thank you for this patch.
Comment 3 Richard Gallamore freebsd_committer 2017-06-13 18:21:30 UTC
@Lucasz, the port has no arch-specific files, do I have approval to also add NO-ARCH=yes to the port?
Comment 4 Richard Gallamore freebsd_committer 2017-06-13 21:02:17 UTC
Created attachment 183461 [details]
security/rkhunter.diff

* Added NO_ARCH
* Fixed portlint items
Comment 5 Lukasz Wasikowski 2017-06-13 21:47:42 UTC
(In reply to Richard Gallamore from comment #3)

Yes, thank you!
Comment 6 commit-hook freebsd_committer 2017-06-14 00:14:40 UTC
A commit references this bug:

Author: ultima
Date: Wed Jun 14 00:14:22 UTC 2017
New revision: 443547
URL: https://svnweb.freebsd.org/changeset/ports/443547

Log:
  * Add fetch function to rkhunter
  * Remove wget as a dependency
  * Added NO_ARCH
  * Fixed portlint items

  PR:		219825
  Submitted by:	Helge Oldach <freebsd@oldach.net>
  Reviewed by:	matthew (mentor)
  Approved by:	Lukasz Wasikowski <lukasz@wasikowski.net> (maintainer), matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11168

Changes:
  head/security/rkhunter/Makefile
  head/security/rkhunter/files/patch-files__rkhunter.conf
  head/security/rkhunter/files/patch-files_rkhunter
  head/security/rkhunter/files/patch-files_rkhunter.conf
  head/security/rkhunter/files/patch-installer.sh
  head/security/rkhunter/pkg-plist
Comment 7 Richard Gallamore freebsd_committer 2017-06-14 00:17:18 UTC
Committed, thanks!